"use strict";
const common_vendor = require("../../../common/vendor.js");
const pages_me_model = require("../model.js");
const common_libraries_IsHouseExist = require("../../../common/libraries/IsHouseExist.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
if (!Math) {
  MyContactButler();
}
const MyContactButler = () => "./ContactButler.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "AreaFunctional",
  setup(__props) {
    const area_functional = [
      // {
      //   label: '房屋管理',
      //   icon: 'HouseIcon',
      //   url: '/INDEX/archive_houses/index'
      // },
      {
        label: "我的事项",
        icon: "IconReview",
        url: "/INDEX/owner_audit_list/index"
      },
      {
        label: "我的活动",
        icon: "IconEvent",
        url: "/ME/activities_list/index"
      },
      {
        label: "关于我们",
        icon: "AboutUs",
        url: "https://mp.weixin.qq.com/s/g-l92Xrzb5pRlGcyS99M3Q",
        type: "H5"
      },
      {
        label: "意见反馈",
        icon: "Feedback",
        url: "/ME/feedback/index"
      }
    ];
    const goToPage = (url) => {
      if (!common_libraries_IsHouseExist.getIsHouseExist())
        return;
      common_vendor.index.navigateTo({ url });
    };
    const handleToPage = (e) => {
      if (!common_libraries_IsHouseExist.getIsHouseExist())
        return;
      if ((e == null ? void 0 : e.type) === "H5" && (e == null ? void 0 : e.url)) {
        common_vendor.index.navigateTo({ url: `/pages/web_view/index?web_url=${encodeURIComponent(e == null ? void 0 : e.url)}` });
        return;
      }
      if (e == null ? void 0 : e.url) {
        common_vendor.index.navigateTo({ url: e == null ? void 0 : e.url });
      } else {
        common_vendor.index.showModal({
          title: "提示",
          content: "该功能在当前项目暂未开放，敬请期待",
          confirmColor: "#0082FA",
          success: function(res) {
            if (res.confirm) {
              console.log("用户点击确定");
            } else if (res.cancel) {
              console.log("用户点击取消");
            }
          }
        });
      }
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f;
      return {
        a: common_vendor.f(area_functional, (i, index, i0) => {
          return {
            a: `/static/svg/${(i == null ? void 0 : i.icon) || ""}.svg`,
            b: common_vendor.t((i == null ? void 0 : i.label) || ""),
            c: `items_${index}`,
            d: common_vendor.o(($event) => handleToPage(i), `items_${index}`)
          };
        }),
        b: common_vendor.t(((_c = (_b = (_a = common_vendor.unref(pages_me_model.useModel)) == null ? void 0 : _a.countHouseData) == null ? void 0 : _b.value) == null ? void 0 : _c.house_count) || 0),
        c: common_vendor.o(($event) => goToPage("/INDEX/archive_houses/index")),
        d: common_vendor.t(((_f = (_e = (_d = common_vendor.unref(pages_me_model.useModel)) == null ? void 0 : _d.countHouseData) == null ? void 0 : _e.value) == null ? void 0 : _f.prepayment_house_count) || 0),
        e: common_vendor.o(($event) => goToPage("/ME/payment_pre_stored/index"))
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ce2c62fb"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/pages/me/components/AreaFunctional.vue"]]);
wx.createComponent(Component);
